# init-workspace-cervvaljs

This package setups a pnpm Cervval.js workspace :
* install [pnpm](https://pnpm.io/) globally
* install [lpx](https://www.npmjs.com/package/lpx) globally in pnpm
* create pnpm workspace
* create workspace package.json

## Prerequisites
* Node 18 or above

## Usage
Create a workspace folder and run
* Init
```
npx init-workspace-cervvaljs@latest
```

* Simulate init
```
npx init-workspace-cervvaljs@latest --dry
```

* Update (overwrite config files)
```
npx init-workspace-cervvaljs@latest --update
```